summaryrefslogtreecommitdiff
path: root/tests/run-get-aranges.sh
diff options
context:
space:
mode:
authorUlrich Drepper <drepper@redhat.com>2005-08-31 15:14:26 +0000
committerUlrich Drepper <drepper@redhat.com>2005-08-31 15:14:26 +0000
commit7d65d01496e465606740033f6ba76b42ddb9815b (patch)
tree80ad09bb0bd1a63fd5f751fd1e0e3db5148350b6 /tests/run-get-aranges.sh
parent5a6f8d18a8c575cb30fea083b238d39d18f63083 (diff)
downloadelfutils-7d65d01496e465606740033f6ba76b42ddb9815b.tar.gz
Use correct exit code in test shell scripts if test cannot be performed.
Diffstat (limited to 'tests/run-get-aranges.sh')
-rwxr-xr-xtests/run-get-aranges.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/tests/run-get-aranges.sh b/tests/run-get-aranges.sh
index 26b29863..a816c218 100755
--- a/tests/run-get-aranges.sh
+++ b/tests/run-get-aranges.sh
@@ -1,5 +1,5 @@
#! /bin/sh
-# Copyright (C) 1999, 2000, 2002 Red Hat, Inc.
+# Copyright (C) 1999, 2000, 2002, 2005 Red Hat, Inc.
# Written by Ulrich Drepper <drepper@redhat.com>, 1999.
#
# This program is Open Source software; you can redistribute it and/or
@@ -14,10 +14,10 @@
set -e
# Don't fail if we cannot decompress the file.
-bunzip2 -c $srcdir/testfile.bz2 > testfile 2>/dev/null || exit 0
+bunzip2 -c $srcdir/testfile.bz2 > testfile 2>/dev/null || exit 77
# Don't fail if we cannot decompress the file.
-bunzip2 -c $srcdir/testfile2.bz2 > testfile2 2>/dev/null || exit 0
+bunzip2 -c $srcdir/testfile2.bz2 > testfile2 2>/dev/null || exit 77
./get-aranges testfile testfile2 > get-aranges.out